Improbable Icon

SpatialOS Discourse Forums

Cannot Parse Output Error - Unity

Launch of my_deployment failed. Code: CannotParseOutput Message: Unable to parse the standard error. Raw standard error: Error:
  An assembly specified in the application dependencies manifest (DeploymentLauncher.deps.json) was not found:
    package: 'CommandLineParser', version: '2.4.3'
    path: 'lib/netstandard2.0/CommandLine.dll'
UnityEngine.Debug:LogError(Object)
Improbable.Gdk.DeploymentLauncher.DeploymentLauncherWindow:Update() (at Library/PackageCache/io.improbable.gdk.deploymentlauncher@0.3.1/DeploymentLauncherWindow.cs:123)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions()

Any ideas folks? Thanks in advance.

Hi @BazooStudios

I noticed you posted in another thread that covered a similar problem. Have you attempted the various things suggested in that thread to help debug this?

Specifically, it would be useful if you could:

  • Run dotnet nuget locals all --list on the command line and tell us what output you get.
  • Check in your user folder if the following file exists - %USERPROFILE%\.nuget\packages\commandlineparser\2.4.3\lib\netstandard2.0

Let us know what the results are and we’ll decide how to debug this further.

Thanks.

I’ve solved the parser error, but I now have this issue:
https://forums.improbable.io/t/over-300-errors/6599/2
I will try all the recommendations so far and provide an update.
Thanks for your time,
Dakota